
<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <h5>onboarding</h5>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-6">
                       

                    </div>
                   
                </div>
               
                <div class="row py-2">
                    <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                       <a [routerLink]="['add_onboarding']" class="btn btn-success btn-mini">
                        <i class="fa fa-plus"></i>   
                        Add</a>
                    </div>
                    <div class="col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                        <div class="form-group">
                            <div class="input-group">
                                <input type="text" class="form-control" placeholder="Search" type="text" [(ngModel)]="searchText">
                                <div class="input-group-append">
                                    <span class="input-group-text btnclrs">
                                        <i class="fa fa-search"></i>
                                    </span>

                                </div>
                            </div>

                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12 table-responsive-sm">
                        <table id="example1" class="table table-bordered table-striped dataTable no-footer">
                            <thead>
                                <tr>
                                    <th class="sorting" tabindex="0" style="width: 18px;">
                                    Sl.no
                                    </th>
                                    <th class="sorting" tabindex="0" aria-controls="example1" rowspan="1" colspan="1" aria-label="Description: activate to sort column ascending" style="width: 500px;">Description</th>
                                    <th class="sorting_asc" style="width: 67px;">Action</th>
                                </tr>
                            </thead>
                            <tbody >
                                <tr class="odd" *ngFor = "let onboarding of getOnboardArray| filter:searchText| paginate: { itemsPerPage: 5, currentPage: p }; index as i">
                                    <td *ngIf="p>1">{{((p-1)*5)+(i+1)}}</td>
                                    <td *ngIf="p===1">{{i+1}}</td>
                                    <td>
                                        <div [innerHTML]="onboarding.onboarding_data"></div>
                                   <!-- {{onboarding. onboarding_data}} -->
                                    </td>
                                    <td class="action sorting_1">
                                  
                                        <a class="btn view" [routerLink]="['view_onboarding',onboarding._id]" >
                                            <i class="fa fa-eye" aria-hidden="true"></i>
                                        </a>
                                      
                                        <a class="btn edit">
                                            <i class="fa fa-pencil" aria-hidden="true" (click)="updateOnboardingModal(onboarding)"></i>
                                        </a>
                                        <a class="btn delete" (click)="delete(onboarding)">
                                            <i class="fa fa-trash" aria-hidden="true"></i>
                                        </a>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="text-center" >
                    <pagination-controls (pageChange)="p = $event"></pagination-controls>
                </div>
                
            </div>
        </div>
    </div>
</section>

<!-- modal to update the value  -->

<div id="updateOnboarding" class="modal fade">
    <div class="modal-dialog modal-lg modal-dialog-centered">
        <div class="modal-content">

            <!-- Header -->
            <div class="modal-header">
                <h2 class="text-center">Onboarding</h2>
            </div>

            <!-- Body -->
            <div class="modal-body">
                <section id="editor">
                    <form action="" [formGroup]="onboardingUpdateForm" (ngSubmit)="submitUpdatedForm(onboardingUpdateForm)">
                       <div class="form-group">
                        <ckeditor [editor]="Editor" 
                            formControlName="onboarding_data" [ngClass]="{ 'is-invalid': submitted && f.onboarding_data.errors }"  required></ckeditor>
                            <div *ngIf="submitted && f.onboarding_data.errors" class="invalid-feedback">
                                <div *ngIf="f.onboarding_data.errors.required">*Field is required</div>
                            </div>
                        </div>
                        <input type="hidden"  formControlName="id">
                           
                                <h5>Image</h5>
                                <img [src]="someImage"  alt="" height="150" width="150"> <br>
                                <input type="file" name="onboarding_image" (change)="handleEvent($event)">
                                <div class="modal-footer modal-footer--mine">
                                    <button type="submit" class="btn doubleleft adduser float-left" id="submitUpdateData" [disabled]="!onboardingUpdateForm.valid">

                                        update
                                    </button>
                                    <button type="button" class="btn btn-default doubleleft adduser" data-dismiss="modal">Close</button>
                                </div>
                            
                       

                    </form>
                   
                </section>
            </div>

            <!-- Footer -->
            
        </div>
    </div>
</div>




